package net.wanji.utc.hisense.netty.response.impl;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import net.wanji.utc.hisense.netty.pojo.CommandPojo;
import net.wanji.utc.hisense.netty.response.CommandResponseFactory;
import org.springframework.stereotype.Service;

/**
 * @author duanruiming
 * @date 2023/05/12 11:00
 */
@Service
@Slf4j
@RequiredArgsConstructor
public class HeartBeatService implements CommandResponseFactory {

    @Override
    public Object getCommandResponse(CommandPojo commandPojo) {
        return commandPojo.getMsg();
    }

}
