package net.wanji.utc.hisense.netty.response.impl.get;

import net.wanji.utc.hisense.cache.SignalDataCache;
import net.wanji.utc.hisense.netty.pojo.CommandPojo;
import net.wanji.utc.hisense.netty.response.CommandResponseFactory;
import net.wanji.utc.hisense.pojo.convert.RunningLightsStatusPojo;
import org.springframework.stereotype.Service;

/**
 * 海信平台每隔5s推送灯态
 *
 * @author duanruiming
 * @date 2023/05/12 16:07
 */
@Service
public class GetRunningStateInfoService implements CommandResponseFactory {
    @Override
    public Object getCommandResponse(CommandPojo commandPojo) {
        SignalDataCache.runningStateInfoCacheUdp.put(commandPojo.getCrossId(), (RunningLightsStatusPojo) commandPojo.getMsg());
        return commandPojo;
    }

}
